<?xml version="1.0"?>
<gama-local-adjustment xmlns="http://www.gnu.org/software/gama/gama-local-adjustment">

<description>
Edward M. Mikhail: Observations and Least Squares, 1976, ISBN 0-7002-2481-5

Example 7.5: Quadrilateral Adjustment by Angles and by Directios
             (plane quadrilateral ABCD with the two diagonals AC and BD)

directions: A->D  00 00 00.00         00 00 00.3474    1.07222     0.000107
               C  22 01 42.51         22 01 41.8452   -2.05185    24.475878
               B  38 46 13.71         38 46 14.0274    0.97963    43.078403
            B->A   0  0  0           359 59 59.6540   -1.06790   399.999893 
               D  57 08 57.10         57 08 56.4162   -2.11049    63.498894
               C  76 42 11.23         76 42 12.2599    0.31787    85.226006
            C->B   0  0  0      ==>  359 59 58.9494   -0.32426   399.999676
               A  86 33 13.45         86 33 14.1614    2.19567    96.171037
               D 145 19 49.38        145 19 49.7192    1.04691   161.478308
            D->C   0  0  0           359 59 59.6297   -1.14290   399.999886
               B  15 06 52.28         15 06 53.0162    2.27222    16.794141
               A  99 11 42.94         99 11 42.5740   -1.12963   110.216844


angles:     ADC   22 01 42.51         22 01 41.4978   -3.12407    24.475771
            ACB   16 44 31.20         16 44 32.1822    3.03148    18.602525
                                                                           
            BAD   57 08 57.10         57 08 56.7622   -1.04259    63.499001
            BDC   19 33 14.13         19 33 15.8437    5.28920    21.727112
                                ==>                                        
            CBA   86 33 13.45         86 33 15.2120    5.43827    96.171362
            CAD   58 46 35.93         58 46 35.5578   -1.14877    65.307271 
                                                                           
            DCB   15 06 52.28         15 06 53.3865    3.41373    16.794255
            DBA   84 04 50.66         84 04 49.5578   -3.40185    93.422703
</description>

<network-general-parameters
   gama-local-version="2.10"
   gama-local-algorithm="gso"
   gama-local-compiler="GNU C/C++ 8.3"
   axes-xy="ne"
   angles="left-handed"
/>

<network-processing-summary>

<coordinates-summary>
   <coordinates-summary-adjusted>    <count-xyz>0</count-xyz> <count-xy>4</count-xy> <count-z>0</count-z> </coordinates-summary-adjusted>
   <coordinates-summary-constrained> <count-xyz>0</count-xyz> <count-xy>4</count-xy> <count-z>0</count-z> </coordinates-summary-constrained>
   <coordinates-summary-fixed>       <count-xyz>0</count-xyz> <count-xy>0</count-xy> <count-z>0</count-z> </coordinates-summary-fixed>
</coordinates-summary>

<observations-summary>
   <distances>0</distances>
   <directions>12</directions>
   <angles>0</angles>
   <xyz-coords>0</xyz-coords>
   <h-diffs>0</h-diffs>
   <z-angles>0</z-angles>
   <s-dists>0</s-dists>
   <vectors>0</vectors>
   <azimuths>0</azimuths>
</observations-summary>

<project-equations>
   <equations>12</equations>
   <unknowns>12</unknowns>
   <degrees-of-freedom>4</degrees-of-freedom>
   <defect>4</defect>
   <sum-of-squares>4.8493214e+00</sum-of-squares>
   <connected-network/>
</project-equations>

<standard-deviation>
   <apriori>1.0000000e+00</apriori>
   <aposteriori>1.1010587e+00</aposteriori>
   <used>apriori</used>

   <probability>0.950</probability>
   <ratio>1.101</ratio>
   <lower>0.348</lower>
   <upper>1.669</upper>
   <passed/>

   <confidence-scale>1.9599640e+00</confidence-scale>
</standard-deviation>

</network-processing-summary>

<coordinates>

<fixed>
</fixed>

<approximate>
   <point> <id>A</id> <X>0.000000</X> <Y>0.000000</Y> </point>
   <point> <id>B</id> <X>1.000000</X> <Y>0.000000</Y> </point>
   <point> <id>C</id> <X>0.933627</X> <Y>-0.280849</Y> </point>
   <point> <id>D</id> <X>0.658490</X> <Y>-0.528881</Y> </point>
</approximate>

<!-- capital X,Y,Z denote constrained coordinates -->
<adjusted>
   <point> <id>A</id> <X>0.0000000896502543</X> <Y>0.0000009356781236</Y> </point>
   <point> <id>B</id> <X>0.9999986742707672</X> <Y>0.0000011309588465</Y> </point>
   <point> <id>C</id> <X>0.9336261976884684</X> <Y>-0.2808511152356729</Y> </point>
   <point> <id>D</id> <X>0.6584919861450463</X> <Y>-0.5288813202360347</Y> </point>
</adjusted>

<orientation-shifts>
   <orientation> <id>A</id> <approx>356.921694</approx> <adj>356.921609</adj> </orientation>
   <orientation> <id>B</id> <approx>200.000000</approx> <adj>200.000119</adj> </orientation>
   <orientation> <id>C</id> <approx>85.226314</approx> <adj>85.226450</adj> </orientation>
   <orientation> <id>D</id> <approx>46.704751</approx> <adj>46.704872</adj> </orientation>
</orientation-shifts>

<!-- upper part of symmetric matrix band by rows -->
<cov-mat>
<dim>12</dim> <band>11</band>
<flt>1.7449085e-06</flt> <flt>-5.6917664e-07</flt> <flt>4.9567640e-07</flt>
<flt>2.5428047e-06</flt> <flt>-2.3325230e-08</flt> <flt>-2.3250997e-07</flt>
<flt>-2.2172597e-06</flt> <flt>-1.7411180e-06</flt> <flt>-2.3328244e-04</flt>
<flt>7.7343320e-04</flt> <flt>-1.4237181e-04</flt> <flt>-1.0375209e-03</flt>
<flt>6.7839616e-07</flt> <flt>-7.1510252e-07</flt> <flt>-5.9355573e-07</flt>
<flt>-2.9791680e-07</flt> <flt>-3.7690997e-07</flt> <flt>1.5821960e-06</flt>
<flt>2.9206954e-07</flt> <flt>-2.1005758e-04</flt> <flt>4.8057748e-04</flt>
<flt>4.9547390e-04</flt> <flt>1.1879168e-03</flt> <flt>9.5909006e-07</flt>
<flt>8.2874474e-07</flt> <flt>-1.5079012e-07</flt> <flt>-7.9650145e-08</flt>
<flt>-1.3039763e-06</flt> <flt>-3.3992069e-08</flt> <flt>2.6980418e-04</flt>
<flt>-7.9608627e-04</flt> <flt>-1.0104662e-03</flt> <flt>-1.0945648e-03</flt>
<flt>5.6059772e-06</flt> <flt>-1.5816708e-06</flt> <flt>-3.3238149e-06</flt>
<flt>-1.7898786e-06</flt> <flt>-1.6886065e-06</flt> <flt>-4.0829688e-04</flt>
<flt>1.6931624e-03</flt> <flt>-1.8180103e-03</flt> <flt>-1.0795454e-03</flt>
<flt>1.6103491e-06</flt> <flt>2.3672351e-06</flt> <flt>-1.4362337e-06</flt>
<flt>-4.8764749e-07</flt> <flt>1.2604270e-04</flt> <flt>-2.4400292e-04</flt>
<flt>1.2965217e-03</flt> <flt>-7.7737154e-04</flt> <flt>4.7575615e-06</flt>
<flt>-2.0550750e-06</flt> <flt>-1.0568366e-06</flt> <flt>1.8788767e-04</flt>
<flt>-1.2149507e-03</flt> <flt>2.3951672e-03</flt> <flt>-6.1615283e-04</flt>
<flt>4.9574697e-06</flt> <flt>2.2627576e-06</flt> <flt>-1.6256444e-04</flt>
<flt>2.6665600e-04</flt> <flt>-1.4368364e-04</flt> <flt>2.9094572e-03</flt>
<flt>2.4533736e-06</flt> <flt>4.3046680e-04</flt> <flt>-9.5878921e-04</flt>
<flt>-1.0726308e-03</flt> <flt>5.0778147e-04</flt> <flt>3.3753366e+00</flt>
<flt>-5.2157398e-01</flt> <flt>-3.1215075e-01</flt> <flt>-3.5311515e-01</flt>
<flt>5.1053969e+00</flt> <flt>5.5659812e-01</flt> <flt>5.1102174e-01</flt>
<flt>5.5229730e+00</flt> <flt>7.2485507e-01</flt> <flt>5.4426214e+00</flt>
</cov-mat>

<!-- original indexes from the adjustment -->
<original-index>
<ind>2</ind>
<ind>3</ind>
<ind>8</ind>
<ind>9</ind>
<ind>6</ind>
<ind>7</ind>
<ind>4</ind>
<ind>5</ind>
<ind>1</ind>
<ind>10</ind>
<ind>11</ind>
<ind>12</ind>
</original-index>

</coordinates>

<observations>

<direction> <from>A</from> <to>D</to>
   <obs>0.0000000000000000</obs> <adj>0.0001071806449691</adj> <stdev>2.6352541394635889</stdev>
   <qrr>2.581</qrr> <f>14.618</f> <std-residual>0.667</std-residual>
   <err-obs>3.955</err-obs> <err-adj>2.883</err-adj>
   </direction>
<direction> <from>A</from> <to>C</to>
   <obs>24.4760833333333316</obs> <adj>24.4758782504616441</adj> <stdev>2.4146974382481230</stdev>
   <qrr>3.695</qrr> <f>21.764</f> <std-residual>1.067</std-residual>
   <err-obs>-5.287</err-obs> <err-adj>-3.236</err-adj>
   </direction>
<direction> <from>A</from> <to>B</to>
   <obs>43.0783055555555521</obs> <adj>43.0784034577822723</adj> <stdev>2.5798878729324679</stdev>
   <qrr>2.870</qrr> <f>16.412</f> <std-residual>0.578</std-residual>
   <err-obs>3.249</err-obs> <err-adj>2.270</err-adj>
   </direction>
<direction> <from>B</from> <to>A</to>
   <obs>0.0000000000000000</obs> <adj>399.9998931423450017</adj> <stdev>2.5670147204464264</stdev>
   <qrr>2.936</qrr> <f>16.829</f> <std-residual>0.624</std-residual>
   <err-obs>-3.467</err-obs> <err-adj>-2.398</err-adj>
   </direction>
<direction> <from>B</from> <to>D</to>
   <obs>63.4991049382716142</obs> <adj>63.4988939882917123</adj> <stdev>2.3243022892525884</stdev>
   <qrr>4.124</qrr> <f>24.693</f> <std-residual>1.039</std-residual>
   <err-obs>-4.873</err-obs> <err-adj>-2.764</err-adj>
   </direction>
<direction> <from>B</from> <to>C</to>
   <obs>85.2256882716049375</obs> <adj>85.2260060792398093</adj> <stdev>2.6103477146988436</stdev>
   <qrr>2.712</qrr> <f>15.425</f> <std-residual>1.930</std-residual>
   <err-obs>11.163</err-obs> <err-adj>7.985</err-adj>
   </direction>
<direction> <from>C</from> <to>B</to>
   <obs>0.0000000000000000</obs> <adj>399.9996757056371166</adj> <stdev>2.6310982008987307</stdev>
   <qrr>2.603</qrr> <f>14.752</f> <std-residual>2.010</std-residual>
   <err-obs>-11.867</err-obs> <err-adj>-8.624</err-adj>
   </direction>
<direction> <from>C</from> <to>A</to>
   <obs>96.1708179012345710</obs> <adj>96.1710375614216417</adj> <stdev>2.3862517223828053</stdev>
   <qrr>3.832</qrr> <f>22.685</f> <std-residual>1.122</std-residual>
   <err-obs>5.461</err-obs> <err-adj>3.264</err-adj>
   </direction>
<direction> <from>C</from> <to>D</to>
   <obs>161.4782037037036844</obs> <adj>161.4783083378794970</adj> <stdev>2.5703588386797471</stdev>
   <qrr>2.919</qrr> <f>16.720</f> <std-residual>0.612</std-residual>
   <err-obs>3.414</err-obs> <err-adj>2.368</err-adj>
   </direction>
<direction> <from>D</from> <to>C</to>
   <obs>0.0000000000000000</obs> <adj>399.9998856466118013</adj> <stdev>2.5395331014928906</stdev>
   <qrr>3.077</qrr> <f>17.719</f> <std-residual>0.652</std-residual>
   <err-obs>-3.541</err-obs> <err-adj>-2.397</err-adj>
   </direction>
<direction> <from>D</from> <to>B</to>
   <obs>16.7939135802469153</obs> <adj>16.7941409234213168</adj> <stdev>2.3223257284062515</stdev>
   <qrr>4.133</qrr> <f>24.757</f> <std-residual>1.118</std-residual>
   <err-obs>5.240</err-obs> <err-adj>2.967</err-adj>
   </direction>
<direction> <from>D</from> <to>A</to>
   <obs>110.2169567901234757</obs> <adj>110.2168438003372444</adj> <stdev>2.6277062159649889</stdev>
   <qrr>2.621</qrr> <f>14.862</f> <std-residual>0.698</std-residual>
   <err-obs>-4.106</err-obs> <err-adj>-2.976</err-adj>
   </direction>

</observations>

</gama-local-adjustment>
